## org.gnu.glib
Class ParmFlags

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.glib.ParmFlags

public class ParmFlags
extends org.gnu.glib.Flags

Field Summary
`static ParmFlags` `CONSTRUCT`
`static ParmFlags` `CONSTRUCT_ONLY`
`static ParmFlags` `LAX_VALIDATION`
`static ParmFlags` `PRIVATE`
`static ParmFlags` `READABLE`
`static ParmFlags` `WRITABLE`

Method Summary
`ParmFlags` `and(ParmFlags other)`
`static ParmFlags` `intern(int value)`
`ParmFlags` `or(ParmFlags other)`
`boolean` `test(ParmFlags other)`
`ParmFlags` `xor(ParmFlags other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### READABLE

    public static final ParmFlags READABLE

### WRITABLE

    public static final ParmFlags WRITABLE

### CONSTRUCT

    public static final ParmFlags CONSTRUCT

### CONSTRUCT_ONLY

    public static final ParmFlags CONSTRUCT_ONLY

### LAX_VALIDATION

    public static final ParmFlags LAX_VALIDATION

### PRIVATE

    public static final ParmFlags PRIVATE

Method Detail

### intern

    public static ParmFlags intern(int value)

### or

    public ParmFlags or(ParmFlags other)

### and

    public ParmFlags and(ParmFlags other)

### xor

    public ParmFlags xor(ParmFlags other)

### test

    public boolean test(ParmFlags other)